# HTTP Client - Query.
BEGIN {
    val host = ARGV[1]
    val query = ARGV[2]
    val inet = "/inet/tcp/0/" host "/80/"
    printf "GET %s%s HTTP/1.0\r\n\r\n", host, query |& inet
    while (0 < (inet |& getline))
        print
    close(inet)
}
